Skip to navigation

List Domains

Beta
Returns the custom domains added to a project, along with each domain's verification status. Supports filtering by domain name and verification status.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

project_uuidstringRequiredformat: "uuid"
The UUID of the project whose domains to list.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

domain:instringOptional

A comma-separated list of domain names by which to filter. For example, ?domain:in=shop.example.com,www.example.com.

verification_statusenumOptional
Filter domains by verification status.
Allowed values:

Response

The request completed successfully.
datalist of objectsOptional
metaobjectOptional
Empty meta object.

Errors

422
Unprocessable Entity Error